Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkExtractPolyDataGeometry Class Reference

`#include <vtkExtractPolyDataGeometry.h>`

Inheritance diagram for vtkExtractPolyDataGeometry:

[legend]
Collaboration diagram for vtkExtractPolyDataGeometry:

[legend]
List of all members.

## Detailed Description

extract vtkPolyData cells that lies either entirely inside or outside of a specified implicit function

Date:
  2002/11/03 22:51:55

Revision:
  1.18

vtkExtractPolyDataGeometry extracts from its input vtkPolyData all cells that are either completely inside or outside of a specified implicit function. This filter is specialized to vtkPolyData. On output the filter generates vtkPolyData.

To use this filter you must specify an implicit function. You must also specify whethter to extract cells lying inside or outside of the implicit function. (The inside of an implicit function is the negative values region.) An option exists to extract cells that are neither inside or outside (i.e., boundary).

A more general version of this filter is available for arbitrary vtkDataSet input (see vtkExtractGeometry).

See also:
  vtkExtractGeometry vtkClipPolyData

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (86%)
  - Cedilnik, Andy (7%)

CVS logs (CVSweb):
  - .`cxx` (`/Graphics/vtkExtractPolyDataGeometry.cxx)`
  - .`h` (`/Graphics/vtkExtractPolyDataGeometry.h)`

Tests:
  vtkExtractPolyDataGeometry (Tests)

Definition at line 62 of file vtkExtractPolyDataGeometry.h.

## Public Types
typedef vtkPolyDataToPolyDataFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
unsigned long | GetMTime ()
virtual void | SetImplicitFunction (vtkImplicitFunction *)
virtual vtkImplicitFunction * | GetImplicitFunction ()
virtual void | SetExtractInside (int)
virtual int | GetExtractInside ()
virtual void | ExtractInsideOn ()
virtual void | ExtractInsideOff ()
virtual void | SetExtractBoundaryCells (int)
virtual int | GetExtractBoundaryCells ()
virtual void | ExtractBoundaryCellsOn ()
virtual void | ExtractBoundaryCellsOff ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkExtractPolyDataGeometry * | SafeDownCast (vtkObject *o)
vtkExtractPolyDataGeometry * | New ()
## Protected Methods
| vtkExtractPolyDataGeometry (vtkImplicitFunction *f=NULL)
| ~vtkExtractPolyDataGeometry ()
void | Execute ()
## Protected Attributes
vtkImplicitFunction * | ImplicitFunction
int | ExtractInside
int | ExtractBoundaryCells

## Member Typedef Documentation

typedef vtkPolyDataToPolyDataFilter vtkExtractPolyDataGeometry::Superclass

| Reimplemented from vtkPolyDataToPolyDataFilter. Definition at line 65 of file vtkExtractPolyDataGeometry.h.

## Constructor & Destructor Documentation

vtkExtractPolyDataGeometry::vtkExtractPolyDataGeometry | ( | vtkImplicitFunction * | f = NULL | ) | `[protected]`

vtkExtractPolyDataGeometry::~vtkExtractPolyDataGeometry | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkExtractPolyDataGeometry::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPolyDataToPolyDataFilter.

int vtkExtractPolyDataGeometry::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataToPolyDataFilter.

virtual int vtkExtractPolyDataGeometry::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataToPolyDataFilter.

vtkExtractPolyDataGeometry* vtkExtractPolyDataGeometry::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPolyDataToPolyDataFilter.

void vtkExtractPolyDataGeometry::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPolyDataToPolyDataFilter.

vtkExtractPolyDataGeometry* vtkExtractPolyDataGeometry::New | ( |  | ) | `[static]`

| Construct object with ExtractInside turned on. Reimplemented from vtkObject.

unsigned long vtkExtractPolyDataGeometry::GetMTime | ( |  | ) | `[virtual]`

| Return the MTime taking into account changes to the implicit function Reimplemented from vtkObject.

virtual void vtkExtractPolyDataGeometry::SetImplicitFunction | ( | vtkImplicitFunction * |  | ) | `[virtual]`

| Specify the implicit function for inside/outside checks.

virtual vtkImplicitFunction* vtkExtractPolyDataGeometry::GetImplicitFunction | ( |  | ) | `[virtual]`

| Specify the implicit function for inside/outside checks.

virtual void vtkExtractPolyDataGeometry::SetExtractInside | ( | int |  | ) | `[virtual]`

| Boolean controls whether to extract cells that are inside of implicit function (ExtractInside == 1) or outside of implicit function (ExtractInside == 0).

virtual int vtkExtractPolyDataGeometry::GetExtractInside | ( |  | ) | `[virtual]`

| Boolean controls whether to extract cells that are inside of implicit function (ExtractInside == 1) or outside of implicit function (ExtractInside == 0).

virtual void vtkExtractPolyDataGeometry::ExtractInsideOn | ( |  | ) | `[virtual]`

| Boolean controls whether to extract cells that are inside of implicit function (ExtractInside == 1) or outside of implicit function (ExtractInside == 0).

virtual void vtkExtractPolyDataGeometry::ExtractInsideOff | ( |  | ) | `[virtual]`

| Boolean controls whether to extract cells that are inside of implicit function (ExtractInside == 1) or outside of implicit function (ExtractInside == 0).

virtual void vtkExtractPolyDataGeometry::SetExtractBoundaryCells | ( | int |  | ) | `[virtual]`

| Boolean controls whether to extract cells that are partially inside. By default, ExtractBoundaryCells is off.

virtual int vtkExtractPolyDataGeometry::GetExtractBoundaryCells | ( |  | ) | `[virtual]`

| Boolean controls whether to extract cells that are partially inside. By default, ExtractBoundaryCells is off.

virtual void vtkExtractPolyDataGeometry::ExtractBoundaryCellsOn | ( |  | ) | `[virtual]`

| Boolean controls whether to extract cells that are partially inside. By default, ExtractBoundaryCells is off.

virtual void vtkExtractPolyDataGeometry::ExtractBoundaryCellsOff | ( |  | ) | `[virtual]`

| Boolean controls whether to extract cells that are partially inside. By default, ExtractBoundaryCells is off.

void vtkExtractPolyDataGeometry::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

## Member Data Documentation

vtkImplicitFunction* vtkExtractPolyDataGeometry::ImplicitFunction`[protected]`

| Definition at line 104 of file vtkExtractPolyDataGeometry.h.

int vtkExtractPolyDataGeometry::ExtractInside`[protected]`

| Definition at line 105 of file vtkExtractPolyDataGeometry.h.

int vtkExtractPolyDataGeometry::ExtractBoundaryCells`[protected]`

| Definition at line 106 of file vtkExtractPolyDataGeometry.h.

The documentation for this class was generated from the following file:

- Graphics/vtkExtractPolyDataGeometry.h